NX Open C++ Reference Guide
|
Represents a Tooling::SectionLineCreationBuilder which is used to create or edit the section line creation. More...
Public Member Functions | |
NXOpen::Line * | CreateTemporaryLine (const NXOpen::Point3d &pointData, const NXOpen::Vector3d &direction) |
Create temporary line. | |
void | PointSubFunction () |
Define the cut segment position Created in NX8.5.0. | |
void | RemoveAll (const std::vector< NXOpen::Line * > &curveList) |
Remove all cut segments Created in NX8.5.0. | |
void | RemoveLast (NXOpen::Line *curveTag) |
Remove the last cut segment Created in NX8.5.0. | |
void | ReverseVector () |
Reverse vector direction Created in NX8.5.0. | |
NXOpen::Point * | SelectPoint () |
Returns the pnt select point Created in NX8.5.0. | |
void | SetSelectPoint (NXOpen::Point *pntSelectPoint) |
Sets the pnt select point Created in NX8.5.0. | |
void | SetVectorDefineDirection (NXOpen::Direction *vectorDefineDirection) |
Sets the vector direction Created in NX8.5.0. | |
NXOpen::Direction * | VectorDefineDirection () |
Returns the vector direction Created in NX8.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Tooling::SectionLineCreationBuilder which is used to create or edit the section line creation.
<br> To create a new instance of this class, use @link Tooling::ToolingDrawingCollection::CreateSectionLineCreationBuilder Tooling::ToolingDrawingCollection::CreateSectionLineCreationBuilder @endlink <br>
Created in NX8.5.0.
NXOpen::Line* NXOpen::Tooling::SectionLineCreationBuilder::CreateTemporaryLine | ( | const NXOpen::Point3d & | pointData, |
const NXOpen::Vector3d & | direction | ||
) |
Create temporary line.
pointData | pointdata |
direction | direction |
void NXOpen::Tooling::SectionLineCreationBuilder::PointSubFunction | ( | ) |
Define the cut segment position
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::SectionLineCreationBuilder::RemoveAll | ( | const std::vector< NXOpen::Line * > & | curveList | ) |
Remove all cut segments
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
curveList | curvelist |
void NXOpen::Tooling::SectionLineCreationBuilder::RemoveLast | ( | NXOpen::Line * | curveTag | ) |
Remove the last cut segment
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
curveTag | curvetag |
void NXOpen::Tooling::SectionLineCreationBuilder::ReverseVector | ( | ) |
Reverse vector direction
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::Point* NXOpen::Tooling::SectionLineCreationBuilder::SelectPoint | ( | ) |
Returns the pnt select point
Created in NX8.5.0.
License requirements : None
void NXOpen::Tooling::SectionLineCreationBuilder::SetSelectPoint | ( | NXOpen::Point * | pntSelectPoint | ) |
Sets the pnt select point
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
pntSelectPoint | pntselectpoint |
void NXOpen::Tooling::SectionLineCreationBuilder::SetVectorDefineDirection | ( | NXOpen::Direction * | vectorDefineDirection | ) |
Sets the vector direction
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
vectorDefineDirection | vectordefinedirection |
NXOpen::Direction* NXOpen::Tooling::SectionLineCreationBuilder::VectorDefineDirection | ( | ) |
Returns the vector direction
Created in NX8.5.0.
License requirements : None